package mi.hdm.controllers;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.io.IOException;

public enum ViewComponent {
    HEADER("/fxml/components/header.fxml");

    private static final Logger log = LogManager.getLogger(ViewComponent.class);

    private final String path;

    ViewComponent(String path) {
        this.path = path;
    }

    public Parent getParentElement() throws IOException {
        log.info("Loading FXML for '{}' component from: {}", this, path);
        final FXMLLoader loader = new FXMLLoader(getClass().getResource(path));
        log.debug("Successfully retrieved resource from {}", path);

        return loader.load();
    }
}
